Kubuntu Gutsy Installation

From MythTV Official Wiki
Revision as of 18:07, 8 November 2008 by Malban (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Kubuntu 7.10 Gutsy Installation

Important.png I recently had to start my frontend from scratch and seeing as gutsy was just released I decided to go with that and make a writeup. This is a rough text for future proper formatting...

Note that MythBuntu has been updated to 7.10 to coincide with Ubuntu/Kubuntu's release. There are advantages to going this route, especially if you don't plan on running SVN, so I'd suggest looking into that first.

Install

A basic install is fine, once your in you'll want to install SSH and possibly NFS. if you have a remote control you'll want to install lirc from [mediabuntu] As well, you'll probably want to install

  • libdvdcss2
  • w32codecs

Compiling SVN

MythTV

you'll need the build-essential and subversion packages at a minimum. you'll also need

  • libfreetype6-dev (which will install zlib1g-dev)
  • liblame-dev (which will install liblame0)
  • libqt3-mt-dev (which will install a whole slew of -dev packages)
  • libdts-dev (for DTS support)
  • libasound2-dev (for ALSA)
  • liblircclient-dev (LIRC remote support)
  • libraw1394-dev, libiec61883-dev, libavc1394-dev (firewire support)
  • libqt3-mt-mysql
  • libxxf86vm-dev
sudo apt-get install build-essential subversion libfreetype6-dev liblame-dev libqt3-mt-dev libdts-dev libasound2-dev \
liblircclient-dev libraw1394-dev libqt3-mt-mysql libxxf86vm-dev

MythPlugins

  • libmad0-dev, libvorbis-dev, libflac-dev, libcdaudio-dev, libcdparanoia0-dev, libtag1-dev (MythMusic Essential)
sudo apt-get install libmad0-dev libvorbis-dev libflac-dev libcdaudio-dev libcdparanoia0-dev libtag1-dev
  • libvisual-0.4-dev, fftw3-dev, libsdl1.2-dev, (MythMusic Optional - Visualizations)
sudo apt-get install fftw3-dev libsdl1.2-dev
  • libfaad2-dev, libmp4v2-dev (MythMusic Optional - AAC support)
sudo apt-get install libfaad2-dev libmp4v2-dev
  • libtiff-dev (MythGallery Essential)
  • libexif-dev (MythGallery Optional)
sudo apt-get install libtiff-dev libexif-dev
  • libmysqlclient15-dev
sudo apt-get install libmysqlclient15-dev
  • libxml-sax-perl, libxml-simple-perl, libxml-libxml-perl, libdate-manip-perl, libsoap-lite-perl, libimage-size-perl(MythWeather as in SVN (ie -revamp))
sudo apt-get install libxml-sax-perl libxml-simple-perl libxml-libxml-perl libdate-manip-perl libsoap-lite-perl libimage-size-perl

Also download this header file for AAC support in :

sudo wget http://faac.cvs.sourceforge.net/*checkout*/faac/faad2/common/mp4ff/mp4ff_int_types.h -P /usr/local/include

Auto Login

Frontend Auto Login